Open Lighting Architecture: ola::plugin::gpio::GPIODriver Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
ola::plugin::gpio::GPIODriver Class Reference

## Detailed Description

Uses data in a DMXBuffer to drive GPIO pins.

Inheritance diagram for ola::plugin::gpio::GPIODriver:

## Classes
struct | Options
| The Options. More...

## Public Member Functions
| GPIODriver (const Options &options)
| Create a new GPIODriver.
| ~GPIODriver ()
| Destructor.
bool | Init ()
| Initialize the GPIODriver.
std::vector< uint16_t > | PinList () const
| Get a list of the GPIO pins controlled by this driver.
bool | SendDmx (const DmxBuffer &dmx)
| Set the values of the GPIO pins from the data in the DMXBuffer.
void * | Run ()
| The entry point for the new thread.

## Constructor & Destructor Documentation

## ◆ GPIODriver()

ola::plugin::gpio::GPIODriver::GPIODriver | ( | const Options & | options | ) |
| explicit

Create a new GPIODriver.

Parameters

  options | the Options struct.

## Member Function Documentation

## ◆ Init()

bool ola::plugin::gpio::GPIODriver::Init | ( |  | ) |

Initialize the GPIODriver.

Returns
  true is successful, false otherwise.

## ◆ PinList()

std::vector< uint16_t > ola::plugin::gpio::GPIODriver::PinList | ( |  | ) | const
| inline

Get a list of the GPIO pins controlled by this driver.

Returns
  A list of GPIO pin numbers.

## ◆ Run()

void * ola::plugin::gpio::GPIODriver::Run | ( |  | ) |
| virtual

The entry point for the new thread.

Returns
  A value returned to Join().

Sub classes must implement this.

Implements ola::thread::Thread.

## ◆ SendDmx()

bool ola::plugin::gpio::GPIODriver::SendDmx | ( | const DmxBuffer & | dmx | ) |

Set the values of the GPIO pins from the data in the DMXBuffer.

Parameters

  dmx | the DmxBuffer with the values to use.

Returns
  true is the GPIO pins were updated.

The documentation for this class was generated from the following files:

- plugins/gpio/GPIODriver.h
- plugins/gpio/GPIODriver.cpp